# vim: set sw=4 ts=4 et nu:

Name:               darkice
Version:            1.1
Release:            150500.5.pm.5
Summary:            Live Audio Streamer
Source:             https://darkice.googlecode.com/files/darkice-%{version}.tar.gz
Patch0:             darkice.cpp.patch
URL:                https://code.google.com/p/darkice/
Group:              Productivity/Networking/Other
License: GPL-2.0
BuildRequires:      alsa-devel
BuildRequires:      libjack-devel
BuildRequires:      libmp3lame-devel
BuildRequires:      libogg-devel libvorbis-devel
BuildRequires:      faac-devel
BuildRequires:      libpulse-devel
BuildRequires:      libsamplerate-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
DarkIce is a live audio streamer. It records audio from an audio interface
(e.g. sound card), encodes it and sends it to a streaming server.

DarkIce can record from:
* OSS audio devices
* ALSA audio devices
* Jack sources
* uLaw audio input through a serial interface
* PulseAudio sources 

DarkIce can encode in the following formats:
* mp3 - using the lame library
* mp2 - using the twolame library
* Ogg Vorbis
* AAC - using the faac library
* AAC HEv2 - using libaacplus library 

DarkIce can send the encoded stream to the following streaming servers:
* ShoutCast
* IceCast 1.3.x and 2.x
* Darwin Streaming Server
* archive the encoded audio in files 

%prep
%autosetup -p1

%build
CXXFLAGS='%{optflags} -std=gnu++11'
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog FAQ NEWS README TODO
%config(noreplace) %{_sysconfdir}/darkice.cfg
%{_bindir}/darkice
%doc %{_mandir}/man1/darkice.1%{ext_man}
%doc %{_mandir}/man5/darkice.cfg.5%{ext_man}

%changelog
* Thu Jan  5 2012 pascal.bleser@opensuse.org
- initial version (1.1)
